Summary: A predictive text input system
Name: dasher
Version: 4.10.1
Release: 3%{?dist}
License: GPLv2
Group: Desktop/Accessibility
URL: http://www.gnome.org/
Source0: http://download.gnome.org/sources/dasher/4.10/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gnome-speech-devel
BuildRequires: at-spi-devel
BuildRequires: libgnomeui-devel
BuildRequires: desktop-file-utils
BuildRequires: expat-devel
BuildRequires: scrollkeeper
BuildRequires: libwnck-devel >= 2.9.92
BuildRequires: libXtst-devel
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: Canna-devel

Requires(post):   GConf2
Requires(post):   scrollkeeper >= 0.1.4
Requires(preun):   GConf2
Requires(postun):   scrollkeeper >= 0.1.4
Requires: gnome-speech

Patch0: dasher-c++.patch

%description
Dasher is an information-efficient text-entry interface, driven by natural
continuous pointing gestures. Dasher is a competitive text-entry system
wherever a full-size keyboard cannot be used, e.g. when operating a computer
one-handed, by joystick, touchscreen, trackball, or mouse, when operating
a computer without hands (i.e. by head-mouse or by eyetracker), or on
palmtops or wearable computers.

%prep
%setup -q
%patch0 -p1 -b .c++

%build

%configure --disable-scrollkeeper --enable-japanese --enable-chinese

make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas/
install -m 644 Data/dasher.schemas $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/

unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category Utility	                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/dasher.desktop

# save some space
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%find_lang %{name} --all-name --with-gnome

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%post
/usr/bin/scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/dasher.schemas > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/dasher.schemas > /dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/dasher.schemas > /dev/null || :
fi


%postun
/usr/bin/scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_datadir}/dasher/
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*
%dir %{_datadir}/omf/dasher
%{_datadir}/applications/gnome-dasher.desktop
%{_bindir}/dasher
%{_mandir}/*/dasher.1.gz
%{_sysconfdir}/gconf/schemas/dasher.schemas

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Matthias Clasen <mclasen@redhat.com> - 4.10.1-1
- Update to 4.10.1

* Tue Mar 17 2009 Matthias Clasen <mclasen@redhat.com> - 4.10.0-1
- Update to 4.10.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 21 2008 Matthias Clasen <mclasen@redhat.com> - 4.9.0-3
- Improve %%summary and %%description

* Thu Oct  9 2008 Matthias Clasen <mclasen@redhat.com> - 4.9.0-2
- Save some space

* Fri Apr 25 2008 Matthias Clasen <mclasen@redhat.com> - 4.9.0-1
- Update to 4.9.0
- Build with --enable-japanese and --enable-chinese (#444131)

* Mon Apr  7 2008 Matthias Clasen <mclasen@redhat.com> - 4.7.3-1
- Update to 4.7.3

* Tue Feb 19 2008 Matthias Clasen <mclasen@redhat.com> - 4.7.0-3
- Fix build with gcc 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4.7.0-2
- Autorebuild for GCC 4.3

* Tue Nov 13 2007 Matthias Clasen <mclasen@redhat.com> - 4.7.0-1
- Update to 4.7.0

* Mon Oct 15 2007 Matthias Clasen <mclasen@redhat.com> - 4.6.1-1
- Update to 4.6.1 (bug fixes)

* Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 4.6.0-1
- Update to 4.6.0

* Mon Aug  6 2007 Matthias Clasen <mclasen@redhat.com> - 4.5.2-2
- Update license field

* Mon Jul  9 2007 Matthias Clasen <mclasen@redhat.com> - 4.5.2-1
- Update to 4.5.2

* Mon Jun  4 2007 Matthias Clasen <mclasen@redhat.com> - 4.5.1-1
- Update to 4.5.1

* Sun May 20 2007 Matthias Clasen <mclasen@redhat.com> - 4.5.0-1
- Update to 4.5.0

* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 4.4.0-1
- Update to 4.4.0

* Wed Feb 28 2007 Matthias Clasen <mclasen@redhat.com> - 4.3.5-1
- Update to 4.3.5

* Tue Feb 13 2007 Matthias Clasen <mclasen@redhat.com> - 4.3.4-1
- Update to 4.3.4

* Wed Dec 20 2006 Matthias Clasen <mclasen@redhat.com> - 4.3.3-1
- Update to 4.3.3

* Tue Dec  5 2006 Matthias Clasen <mclasen@redhat.com> - 4.3.2-1
- Update to 4.3.2

* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 4.3.1-1
- Update to 4.3.1

* Sat Nov  4 2006 Matthias Clasen <mclasen@redhat.com> - 4.2.1-1
- Update to 4.2.1

* Sun Sep  3 2006 Matthias Clasen <mclasen@redhat.com> - 4.2.0-1.fc6
- Update to 4.2.0

* Sat Aug 26 2006 Karsten Hopp <karsten@redhat.com> - 4.1.10-2.fc6
- buildrequire intltool which was previously pulled in by scrollkeeper but
  dropped this requirement because of bz #203606

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 4.1.10-1.fc6
- Update to 4.1.10

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 4.1.9-1.fc6
- Update to 4.1.9

* Thu Aug  3 2006 Matthias Clasen <mclasen@redhat.com> - 4.1.8-1.fc6
- Update to 4.1.8

* Wed Jul 26 2006 John (J5) Palmieri <johnp@redhat.com> - 4.1.7-3.fc6
- Add dist tag and rebuild

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 4.1.7-2
- Rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 4.1.7-1.1
- rebuild

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 4.1.7-1
- Update t0 4.1.7

* Mon Jun 12 2006 Matthias Clasen <mclasen@redhat.com> - 4.1.4-2
- Update to 4.1.4

* Thu Jun  8 2006 Matthias Clasen <mclasen@redhat.com> - 4.1.0-2
- Add missing BuildRequires

* Wed May 17 2006 Matthias Clasen <mclasen@redhat.com> - 4.1.0-1
- Update to 4.1.0

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 4.0.2-2.1
- bump and rebuild

* Tue Apr  4 2006 Matthias Clasen <mclasen@redhat.com> - 4.0.2-2
- Update to 4.0.2

* Mon Mar 13 2006 Ray Strode <rstrode@redhat.com> - 4.0.0-1
- Update to 4.0.0

* Sun Feb 26 2006 Matthias Clasen <mclasen@redhat.com> - 3.99.5-1
- Update to 3.99.5

* Fri Feb 24 2006 Matthias Clasen <mclasen@redhat.com> 3.99.4-3
- Prereq: scrollkeeper

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 3.99.4-2
- BuildRequires: libXtst-devel

* Sun Feb 12 2006 Matthias Clasen <mclasen@redhat.com> - 3.99.4-1
- Update to 3.99.4

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.99.2-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.99.2-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Ray Strode <rstrode@redhat.com> 3.99.2-2
- make compile

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 3.99.2

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 3.99.1

* Sun Dec 11 2005 Matthias Clasen <mclasen@redhat.com>
- Add -Wl,--export-dynamic,
- Make compile with gcc 4.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 18 2005 Bill Nottingham <notting@redhat.com>
- fix references to /usr/X11R6

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 
- Update to 3.2.18

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- Rebuilt

* Wed Aug 10 2005 <mclasen@redhat.com> 3.2.15-3
- Rebuild

* Tue Jul 12 2005 <mclasen@redhat.com> 3.2.15-2
- Rebuild

* Mon Mar 14 2005 <mclasen@redhat.com> 3.2.15-1
- Update to 3.2.15
- Require a new enough libwnck

* Wed Mar  2 2005 <mclasen@redhat.com> 3.2.13-2
- Rebuilt with gcc4

* Fri Feb  4 2005 <mclasen@redhat.com> 3.2.13-1
- Update to 3.2.13

* Fri Jan 28 2005 <mclasen@redhat.com> 3.2.12-1
- Update to 3.2.12

* Wed Nov  3 2004  <jrb@redhat.com> - 3.2.11-5
- add BuildRequires, #134956

* Mon Oct  4 2004 GNOME <jrb@redhat.com> - 3.2.11-4
- install schemas file by hand

* Wed Sep 22 2004 Bill Nottingham <notting@redhat.com>
- fix typo (#133058)

* Tue Sep 14 2004 GNOME <jrb@redhat.com> - 3.2.11-3
- fix schemas file and crasher.

* Tue Aug 31 2004 Jonathan Blandford <jrb@redhat.com> 3.2.11-2
- add lib64 to search libs.

* Mon Aug 30 2004 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


